- Qt 6.7
- Qt Quick 3D Physics
- QML Types
- CollisionShape
- Qt Quick 3D Physics | Commercial or GPLv3

# CollisionShape QML Type

Base type for collision shapes. More...

Import Statement: | import QtQuick3D.Physics
Since: | Qt 6.4
Inherits: | Node
Inherited By: | BoxShape, CapsuleShape, ConvexMeshShape, HeightFieldShape, PlaneShape, SphereShape, and TriangleMeshShape

- List of all members, including inherited members

## Properties

- enableDebugDraw : bool

## Detailed Description

This is the base type for all collision shapes. A collision shape is used to define the physical shape and extent of an object for the purposes of the physics simulation.

See also Shapes and Bodies overview documentation.

## Property Documentation

enableDebugDraw : bool

This property enables drawing the shape's debug view.